Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Class ClasspathPattern

    java.lang.Object
      org.eclipse.jetty.webapp.ClasspathPattern

    public class ClasspathPattern

extends java.lang.Object

ClasspathPattern performs sequential pattern matching of a class name against an internal array of classpath pattern entries. When an entry starts with '-' (minus), reverse matching is performed. When an entry ends with '.' (period), prefix matching is performed. When class is initialized from a classpath pattern string, entries in this string should be separated by ':' (semicolon) or ',' (comma).

Constructor Summary
`ClasspathPattern()`
`ClasspathPattern(java.lang.String pattern)`
`ClasspathPattern(java.lang.String[] patterns)`

Method Summary
`void` | `addPattern(java.lang.String pattern)` Parse a classpath pattern string and appending the result to the existing configuration.
`java.lang.String[]` | `getPatterns()`
`boolean` | `match(java.lang.String name)` Match the class name against the pattern
`void` | `setPattern(java.lang.String pattern)` Initialize the matcher by parsing a classpath pattern string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClasspathPattern

    public ClasspathPattern()

### ClasspathPattern

    public ClasspathPattern(java.lang.String[] patterns)

### ClasspathPattern

    public ClasspathPattern(java.lang.String pattern)

Method Detail

### setPattern

    public void setPattern(java.lang.String pattern)

  Initialize the matcher by parsing a classpath pattern string

  Parameters:
    `pattern` - classpath pattern string

### addPattern

    public void addPattern(java.lang.String pattern)

  Parse a classpath pattern string and appending the result to the existing configuration.

  Parameters:
    `pattern` - classpath pattern string

### getPatterns

    public java.lang.String[] getPatterns()

  Returns:
    array of classpath patterns

### match

    public boolean match(java.lang.String name)

  Match the class name against the pattern

  Parameters:
    `name` - name of the class to match
  Returns:
    true if class matches the pattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.